Subject: [Seamoby] Comments on the requirements draft

From: Teemu Rinta-aho <[email-masked]>
Date: Fri, 22 Mar 2002 18:56:12 +0200 (EET)

Hi all,

I am new to this group but I got interested in
the draft-krishnamurthi-seamoby-car-requirements-01.txt
and decided to send in some comments.

I read through the mailing list archive and tried
to catch up with what's been going on lately in
this group so I am not sure how valuable or valid these 
comments are, but I think they might be of some use.

I have formatted the comments in some kind of
sections. It is not ready text to put directly
into draft but hopefully easier to read at this
point. Numbers 3.X mean they are suggestions
for new possible sections.

3.5 FORMAT OF CAPABILITIES

- The format of describing the capabilities MUST be
  extendable and flexible in a way that they support
  future needs that cannot be exactly defined
  at this stage.

3.X SECURITY

- CAR discovery protocol MUST NOT weaken network security.
  DoS, hijacking and other possible attacks must be taken
  into account when designing the protocol.

3.X SCALABILITY

- CAR/GAAR discovery MUST be scalable. In the future, there
  might be geographical locations with several (hundreds) 
  of overlapping access points, especially when PANs emerge. 
  This kind of situation might lead into problems when the
  ARs behind these APs have to constantly update their
  knowledge of their GAARs.

3.X INTEROPERABILITY

- Interoperability MUST exist with non-CAR ARs.

3.X PERFORMANCE

- CAR/GAAR protocol MUST NOT add to handover times in
  cases when the connection to the old AR is lost and there
  are ongoing communication waiting for network access. In
  those cases the MN must get a new AR as fast as possible,
  not spending much time on the TAR algorithm.

General thoughts:

How can an AR recognize its GAARs without the help of the MN
or the link-layer protocols?

This means that the amount of packets sent over the air necessarily
increases, doesn't it? I mean, if the AR doesn't get the information about
GAARs from the MN, then it must somehow sense the GAARs presence through
the APs. But the latter is of course impossible between APs of different
link layers.

BR,
Teemu

--
Teemu Rinta-aho                    Tel: +358 9 299 3078
NomadicLab, Ericsson Research      Fax: +358 9 299 5055
Oy L M Ericsson Ab                 Mobile: +358 40 562 3066
FIN-02131 Espoo, Finland           E-mail: [email-masked]

_______________________________________________
Seamoby mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/seamoby